function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Column, Entity, Index, JoinColumn, ManyToOne, PrimaryColumn } from "typeorm";
import { id } from "../id.js";
import { User } from "./user.js";
import { Note } from "./note.js";
export let ScheduledNote = class ScheduledNote {
    id;
    createdAt;
    scheduledAt;
    userId;
    user;
    status;
    data;
    noteId;
    note;
    error;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], ScheduledNote.prototype, "id", void 0);
_ts_decorate([
    Index(),
    Column("timestamp with time zone"),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], ScheduledNote.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column("timestamp with time zone"),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], ScheduledNote.prototype, "scheduledAt", void 0);
_ts_decorate([
    Index(),
    Column(id()),
    _ts_metadata("design:type", Object)
], ScheduledNote.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne(()=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], ScheduledNote.prototype, "user", void 0);
_ts_decorate([
    Column("varchar", {
        length: 16,
        default: "scheduled"
    }),
    _ts_metadata("design:type", typeof ScheduledNoteStatus === "undefined" ? Object : ScheduledNoteStatus)
], ScheduledNote.prototype, "status", void 0);
_ts_decorate([
    Column("jsonb"),
    _ts_metadata("design:type", typeof Record === "undefined" ? Object : Record)
], ScheduledNote.prototype, "data", void 0);
_ts_decorate([
    Column({
        ...id(),
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], ScheduledNote.prototype, "noteId", void 0);
_ts_decorate([
    ManyToOne(()=>Note, {
        onDelete: "SET NULL"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], ScheduledNote.prototype, "note", void 0);
_ts_decorate([
    Column("text", {
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], ScheduledNote.prototype, "error", void 0);
ScheduledNote = _ts_decorate([
    Entity("scheduled_note")
], ScheduledNote);
